Uploaded image for project: 'Beam'
  1. Beam
  2. BEAM-1251 Python 3 Support
  3. BEAM-6572

Dataflow Python runner should use a Python-3 compatible container when starting a Python 3 pipeline.

Details

    • Sub-task
    • Status: Resolved
    • P0
    • Resolution: Fixed
    • None
    • 2.11.0
    • runner-dataflow
    • None

    Description

      Container choice will be affected by:

      • SDK version (dev/released)
      • Execution mode (FnApi/Legacy)
      • Python interpreter version.

      cc: Charles Chen Mark Liu Ahmet Altay

      Attachments

        Issue Links

          Activity

            People

              tvalentyn Valentyn Tymofieiev
              tvalentyn Valentyn Tymofieiev
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved:

                Time Tracking

                  Estimated:
                  Original Estimate - Not Specified
                  Not Specified
                  Remaining:
                  Remaining Estimate - 0h
                  0h
                  Logged:
                  Time Spent - 0.5h
                  0.5h

                  Slack

                    Issue deployment